- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cLinkType Class Reference
[Internal classes]

`#include <ctypes.h>`

Inheritance diagram for cLinkType:

List of all members.

## Detailed Description

DEPRECATED.

A channel type for backward compatibility. Objects of this class are created via the Define_Link() macro.

## Public Member Functions
Constructors, destructor, assignment
| cLinkType (const char *name, cPar *(*d)(), cPar *(*e)(), cPar *(*dr)())
| cLinkType (const cLinkType &li)
virtual | ~cLinkType ()
cLinkType & | operator= (const cLinkType &)
Redefined cObject member functions.
virtual cPolymorphic * | dup () const
Channel object creation
virtual cChannel * | create (const char *name)

## Constructor & Destructor Documentation

cLinkType::cLinkType | ( | const char * | name,
|  | cPar *(*)() | d,
|  | cPar *(*)() | e,
|  | cPar *(*)() | dr
| ) |

| Constructor. It takes three function pointers; the corresponding functions should be 'factory' functions that create the delay, bit error rate and data rate objects (cPars) for this channel type.

cLinkType::cLinkType | ( | const cLinkType & | li | ) |

| Copy constructor.

virtual cLinkType::~cLinkType | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual cChannel* cLinkType::create | ( | const char * | name | ) | `[virtual]`

| Creates a channel object. Implements cChannelType.

virtual cPolymorphic* cLinkType::dup | ( |  | ) | const`[inline, virtual]`

| Creates and returns an exact copy of this object. See cObject for more details. Reimplemented from cObject.

cLinkType& cLinkType::operator= | ( | const cLinkType & |  | ) | `[inline]`

| Assignment is not supported by this class: this method throws a cRuntimeError when called.

The documentation for this class was generated from the following file:

- ctypes.h